algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Algebra.Division

# Documentation

class Unital r => Division r where Source

Methods

recip :: r -> rSource

(/) :: r -> r -> rSource

(\\) :: r -> r -> rSource

(^) :: Integral n => r -> n -> rSource

Instances

Division () |
(Commutative r, InvolutiveSemiring r, DivisionRing r) => Division (Complex r) |
(TriviallyInvolutive r, Ring r, Division r) => Division (Quaternion r) |
(Commutative r, InvolutiveSemiring r, DivisionRing r) => Division (Dual r) |
(Commutative r, InvolutiveSemiring r, DivisionRing r) => Division (Hyper' r) |
(Commutative r, InvolutiveSemiring r, DivisionRing r) => Division (Dual' r) |
(TriviallyInvolutive r, Ring r, Division r) => Division (Quaternion' r) |
Group r => Division (Exp r) |
Division r => Division (Opposite r) |
(Rng r, Division r) => Division (RngRing r) |
(Unital r, DivisionAlgebra r a) => Division (a -> r) |
(Division a, Division b) => Division (a, b) |
(Division a, Division b, Division c) => Division (a, b, c) |
(Division a, Division b, Division c, Division d) => Division (a, b, c, d) |
(Division a, Division b, Division c, Division d, Division e) => Division (a, b, c, d, e) |

class UnitalAlgebra r a => DivisionAlgebra r a where Source

Methods

recipriocal :: (a -> r) -> a -> rSource